### Name: EarthChem
### Title: Import from EarthChem.org
### Aliases: EarthChem EarthChemC
### Keywords: file

### ** Examples

    ## Not run: 
##D         # Some of these examples are based on original examples 
##D         # from  http://portal.earthchem.org/rest_search_documentation 
##D    
##D         # The whole dataset
##D         EarthChemC(list(author="ackerman",outputtype="html",showcolumnnames="yes",
##D             outputitems="sample_id,source,longitude,latitude"))
##D         plotDiagram("TAS",FALSE,TRUE)
##D         
##D         # Just 50 records  
##D         EarthChemC(list(author="ackerman",outputtype="html",showcolumnnames="yes",startrow=0,endrow=50,
##D             outputitems="sample_id,source,longitude,latitude"))  
##D 
##D         # Read the first 100 Cambrian samples
##D         EarthChemC(list(geologicalage="cambrian",outputtype="html",startrow=0,endrow=100,
##D             outputitems="sample_id,source,longitude,latitude"))
##D         
##D         # Different values of outputtype just invoke different parsers, the results should be identical      
##D         EarthChemC(list(author="janousek",outputtype="xml",
##D             outputitems="sample_id,source,longitude,latitude"))
##D             
##D         EarthChemC(list(author="janousek",outputtype="html",
##D             outputitems="sample_id,source,longitude,latitude"))    
##D 
##D         # Read a static map directly into R
##D         # Samples from the eastern United States and adjacent part of Atlantic Ocean (EarthChem REST example)
##D         query<-"http://portal.earthchem.org/restsearchservice?
##D             north=49&east=-100&south=23&west=-24&outputtype=staticmap"
##D         shell.exec(query) # opens in browser
##D     
## End(Not run)



