### Name: contourGroups
### Title: Outlining individual groups of samples in a binary plot
### Aliases: contourGroups chullGroups
### Keywords: aplot iplot

### ** Examples

    data(atacazo)
    accessVar("atacazo")
    groupsByLabel("Volcano")
    
    plotDiagram("TAS",FALSE,TRUE)
    figUser(xlim=c(57,68),ylim=c(4,5.7))
    contourGroups(n=10,fade.away=FALSE)
    
    figRedraw()
    out<-contourGroups(n=50,fade.away=TRUE)
    
    windows()
    xlab<-.fig.deeval(sheet$demo$call$xlab)
    ylab<-.fig.deeval(sheet$demo$call$ylab)
    persp(out[["Atacazo"]]$kde,xlab=xlab,ylab=ylab,main="Atacazo")

    plotDiagram("PeceTaylor",FALSE,TRUE)
    figUser(xlim=c(55,70),ylim=c(0.5,1.5))
    chullGroups()
    
    chullGroups(fill=TRUE)
    
    figRedraw()    
    contourGroups(cont.levels=c(0.9,0.5,0.1),border="darkgray",fade.away=FALSE,lty="dashed")



