### Name: Plate editing
### Title: Editing the plate properties/all its plots simultaneously
### Aliases: 'Plate editing' plateUser plateCex plateCexLab plateCexMain
###   plateAnnotationsRemove platePch plateCol plateBW plateXLim plateYLim
###   plate0YLim plateExpand plateExtract
### Keywords: hplot

### ** Examples

    data(sazava)
    accessVar("sazava")

    multiplePerPage(which=c("binary(\"K2O/Na2O\",
        \"Rb\",new=FALSE)","DebonPQ","DebonBMgNo","AFM","PeceTaylor","Shand"))
    plateCex(0.5)

    plateCex(2)
    platePch(11)

    platePch("+")
    plateCol(11)

    plateCol("red")
   
    plateBW()

    # For power users
    plateUser(las=3,cex=2.5,col="darkred",cex.axis=1.5,cex.lab=1.8)
   
    # Harkers
    multiple("SiO2",major)
    plateCex(2)
    plateXLim(c(50,70))
    plate0YLim()
   
    # Spiders
    groupsByLabel("Intrusion")
    spider(WR,selectNorm("Boynton"),0.1,1000,pch=labels$Symbol,col=labels$Colour,cex=2)
    figMulti(plot.symb=TRUE)
    plateYLim(c(1,100))
   
    plateExpand(2)

    # Second plot of Pearce et al. (1984), i.e. Y-Nb   
    graphicsOff()
    plateExtract("PearceGranite",2) 



