### Name: figOverplotDiagram
### Title: Overplotting data onto classification or geotectonic plots
### Aliases: figOverplotDiagram
### Keywords: aplot color iplot

### ** Examples

    data(sazava)
    accessVar("sazava")
    
    data(blatna) 
    accessVar("blatna")
    setCex(2)
    pokeDataset("blatna", overwrite.warn=FALSE)
    
    ## Two datasets
    # stand alone plot
    peekDataset("blatna")
    figOverplotDiagram("sazava","blatna","DebonBA",cex=2)
    
    figOverplotDiagram("sazava","blatna","DebonBA",pch=17,col="darkred",
        cex=2,transp=0.5,ylim=c(-400,200))

    # plateExtract
    figOverplotDiagram("sazava","blatna","PearceGranite",pch=17,col="darkred",
        cex=2,transp=0.5,which=2,xlim=c(5,100)) 

    ## Overplotting on existing plot - plotDiagram
    peekDataset("blatna")
    plotDiagram("DebonPQ",FALSE,TRUE)
    figCex(2)
    figRemove()
    figOverplotDiagram("sazava",pch=17,col="darkred",cex=2,transp=0.6)
    
    # Overplotting of existing plot - plateExtract
    peekDataset("blatna")
    plateExtract("PearceGranite",which=2)
    figXlim(c(1,100))
    figYlim(c(1,300))
    figCex(2)
    figOverplotDiagram("sazava",pch=17,col="darkred",cex=2,transp=0.6)



