### Name: phasePropPlot
### Title: Stacked barplot of temperature vs. phase proportions.
### Aliases: phasePropPlot
### Keywords: hplot

### ** Examples

    min.prop<-matrix(c(0.1,0.2,0.5,
                   0.2,0.25,0.25,
                   0.5,0.4,0.15,
                   0.2,0.15,0.1),
        nrow=3,ncol=4,dimnames=list(seq(750,850,by=50),c("Liq","Cpx","Opx","Pl")))

    phasePropPlot(min.prop,palette="jet.colors", ylab="vol. percent", 
        main="Plot of mineral proportions")
    
    phasePropPlot(min.prop,col=1:4)
    
    phasePropPlot(min.prop,col=heat.colors(4))
    
    data(blatna)
    accessVar("blatna")
    windows(10,5)
    i<-names(sort(WR[,"SiO2"]))
    phasePropPlot(WR[i,major],xlab="Sample")



